Subject: Re: bug#15575: 24.3.50; New tty menus crash Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Oct 2013 12:28:33 +0300

> Date: Fri, 11 Oct 2013 10:09:55 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Can you give me a login on that machine, with access to a directory
> where trunk is built?  I would like to debug this weird problem.

Sorry, no login is needed.  I was blind: the reason for the crash is
acutely visible in your backtrace:

  #4  0x000000000046dc26 in display_tty_menu_item (item_text=0xbf5224 <pure+2867940> "New Frame on Display...", width=40, face_id=15, x=0, y=24, submenu=0) at /home/jhd/src/emacs/current/src/xdisp.c:20648
                                                                                                                                           ^^^^

Note that y's value is 24.  Your terminal window has only 25 lines,
right?  I guess everyone else's, including mine, are taller.  The
"File" menu is longer than 24 lines, so the code is trying to write
beyond the end of the frame's glyph matrix, with predictably bad
results.

I will fix that ASAP.